Subject: Re: [RFC PATCH v1 1/2] net: implement mechanism for HW based QOS

From: John Fastabend <[email-masked]>
Date: Thu, 18 Nov 2010 10:00:51 -0800

On 11/18/2010 9:39 AM, Eric Dumazet wrote:
> Le jeudi 18 novembre 2010 à 09:27 -0800, John Fastabend a écrit :
> 
>> Thanks for the feedback!
>>
>> num_tx_queues is an unsigned int in net_device and I can't see any
>> place that would limit it to 16bits. So I think we need 32 bits here.
>> Otherwise I will make these changes and fix the fallout. This is much
>> cleaner.
>>
>>
> 
> Hmm...
> 
> include/linux/skbuff.h
> 
> __u16           queue_mapping:16;
> 
> 
> static inline void skb_record_rx_queue(struct sk_buff *skb, u16 rx_queue)
> 
> Anyway, we dont want to have more than 32768 queues, not before year
> 2020 at least
> 
> Thanks
> 
> 
> 

Ah a u16 it is then. And more then 32768 queues would be a bit much.